<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku transparam.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('transparam_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Funkcje</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku transparam.cpp</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;sys/types.h&gt;</code><br />
<code>#include &lt;sys/stat.h&gt;</code><br />
<code>#include &lt;fcntl.h&gt;</code><br />
<code>#include &lt;termios.h&gt;</code><br />
<code>#include &quot;<a class="el" href="transparam_8hh_source.html">transparam.hh</a>&quot;</code><br />
<code>#include &lt;cstring&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla transparam.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="transparam_8cpp__incl.png" border="0" usemap="#atransparam_8cpp" alt=""/></div>
<map name="atransparam_8cpp" id="atransparam_8cpp">
<area shape="rect" title=" " alt="" coords="225,5,336,31"/>
<area shape="rect" title=" " alt="" coords="5,79,92,104"/>
<area shape="poly" title=" " alt="" coords="244,33,100,77,98,72,243,28"/>
<area shape="rect" title=" " alt="" coords="116,79,195,104"/>
<area shape="poly" title=" " alt="" coords="262,33,189,74,186,69,259,28"/>
<area shape="rect" title=" " alt="" coords="219,79,276,104"/>
<area shape="poly" title=" " alt="" coords="278,32,261,67,256,65,273,30"/>
<area shape="rect" title=" " alt="" coords="321,152,395,177"/>
<area shape="poly" title=" " alt="" coords="289,30,348,139,343,141,285,32"/>
<area shape="rect" href="transparam_8hh.html" title=" " alt="" coords="351,79,455,104"/>
<area shape="poly" title=" " alt="" coords="302,28,373,69,370,74,299,33"/>
<area shape="rect" title=" " alt="" coords="479,79,541,104"/>
<area shape="poly" title=" " alt="" coords="318,28,467,74,465,79,317,33"/>
<area shape="poly" title=" " alt="" coords="398,106,375,142,370,139,394,103"/>
</map>
</div>
</div>
<p><a href="transparam_8cpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Funkcje</h2></td></tr>
<tr class="memitem:a0728e8853a57cc2290d9739c1108d2fc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="transparam_8cpp.html#a0728e8853a57cc2290d9739c1108d2fc">SetTransParam_InputModes</a> (struct termios *pTransParam, <a class="el" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a> Parity)</td></tr>
<tr class="separator:a0728e8853a57cc2290d9739c1108d2fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb0647d46d75d5baa3508f59750fd510"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="transparam_8cpp.html#acb0647d46d75d5baa3508f59750fd510">SetTransParam_OutputModes</a> (struct termios *pTransParam)</td></tr>
<tr class="separator:acb0647d46d75d5baa3508f59750fd510"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7585c6873219f5b0cae001b4e95a60af"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="transparam_8cpp.html#a7585c6873219f5b0cae001b4e95a60af">SetTransParam_ControlModes</a> (struct termios *pTransParam, <a class="el" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a> Parity, <a class="el" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90">Type4CharacterSize</a> CSize)</td></tr>
<tr class="separator:a7585c6873219f5b0cae001b4e95a60af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad26bdc052d530d02b4353582e1d9568b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="transparam_8cpp.html#ad26bdc052d530d02b4353582e1d9568b">SetTransParam_LocalModes</a> (struct termios *pTransParam)</td></tr>
<tr class="separator:ad26bdc052d530d02b4353582e1d9568b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbc868041fa51d5f4d3923d8b3488867"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="transparam_8cpp.html#abbc868041fa51d5f4d3923d8b3488867">SetTransParam</a> (int PortDesc, <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288f">Type4BaudRate</a> BRate, <a class="el" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a> Parity, <a class="el" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90">Type4CharacterSize</a> CSize)</td></tr>
<tr class="memdesc:abbc868041fa51d5f4d3923d8b3488867"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawianie parametrów transmisji.  <br /></td></tr>
<tr class="separator:abbc868041fa51d5f4d3923d8b3488867"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Dokumentacja funkcji</h2>
<a id="a0728e8853a57cc2290d9739c1108d2fc" name="a0728e8853a57cc2290d9739c1108d2fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0728e8853a57cc2290d9739c1108d2fc">&#9670;&#160;</a></span>SetTransParam_InputModes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetTransParam_InputModes </td>
          <td>(</td>
          <td class="paramtype">struct termios *&#160;</td>
          <td class="paramname"><em>pTransParam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a>&#160;</td>
          <td class="paramname"><em>Parity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Opis flag patrz: man tcsetattr </p>

<p class="definition">Definicja w linii <a class="el" href="transparam_8cpp_source.html#l00013">13</a> pliku <a class="el" href="transparam_8cpp_source.html">transparam.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="transparam_8cpp_a0728e8853a57cc2290d9739c1108d2fc_icgraph.png" border="0" usemap="#atransparam_8cpp_a0728e8853a57cc2290d9739c1108d2fc_icgraph" alt=""/></div>
<map name="atransparam_8cpp_a0728e8853a57cc2290d9739c1108d2fc_icgraph" id="atransparam_8cpp_a0728e8853a57cc2290d9739c1108d2fc_icgraph">
<area shape="rect" title=" " alt="" coords="889,31,1077,56"/>
<area shape="rect" href="transparam_8cpp.html#abbc868041fa51d5f4d3923d8b3488867" title="Ustawianie parametrów transmisji." alt="" coords="728,31,841,56"/>
<area shape="poly" title=" " alt="" coords="875,46,842,46,842,41,875,41"/>
<area shape="rect" href="class_serial_port.html#ab8617347c0bd495e80d39e563ec8e750" title="Otwiera port szeregowy." alt="" coords="504,5,680,31"/>
<area shape="poly" title=" " alt="" coords="714,37,680,32,681,27,715,32"/>
<area shape="rect" href="odbieranie_8cpp.html#a8ba1cb8263e0f85250d2dbd1fb60e825" title=" " alt="" coords="545,55,639,80"/>
<area shape="poly" title=" " alt="" coords="715,55,639,64,639,59,714,49"/>
<area shape="rect" href="class_main_window.html#a31824aa1482e54ed17467596c8b3bb24" title="Rozpoczyna komunikację z portem szeregowym." alt="" coords="229,5,456,31"/>
<area shape="poly" title=" " alt="" coords="490,21,456,21,456,15,490,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,181,21,181,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="acb0647d46d75d5baa3508f59750fd510" name="acb0647d46d75d5baa3508f59750fd510"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb0647d46d75d5baa3508f59750fd510">&#9670;&#160;</a></span>SetTransParam_OutputModes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetTransParam_OutputModes </td>
          <td>(</td>
          <td class="paramtype">struct termios *&#160;</td>
          <td class="paramname"><em>pTransParam</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Opis flag patrz: man tcsetattr </p>

<p class="definition">Definicja w linii <a class="el" href="transparam_8cpp_source.html#l00039">39</a> pliku <a class="el" href="transparam_8cpp_source.html">transparam.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="transparam_8cpp_acb0647d46d75d5baa3508f59750fd510_icgraph.png" border="0" usemap="#atransparam_8cpp_acb0647d46d75d5baa3508f59750fd510_icgraph" alt=""/></div>
<map name="atransparam_8cpp_acb0647d46d75d5baa3508f59750fd510_icgraph" id="atransparam_8cpp_acb0647d46d75d5baa3508f59750fd510_icgraph">
<area shape="rect" title=" " alt="" coords="889,31,1088,56"/>
<area shape="rect" href="transparam_8cpp.html#abbc868041fa51d5f4d3923d8b3488867" title="Ustawianie parametrów transmisji." alt="" coords="728,31,841,56"/>
<area shape="poly" title=" " alt="" coords="876,46,841,46,841,41,876,41"/>
<area shape="rect" href="class_serial_port.html#ab8617347c0bd495e80d39e563ec8e750" title="Otwiera port szeregowy." alt="" coords="504,5,680,31"/>
<area shape="poly" title=" " alt="" coords="714,37,680,32,681,27,715,32"/>
<area shape="rect" href="odbieranie_8cpp.html#a8ba1cb8263e0f85250d2dbd1fb60e825" title=" " alt="" coords="545,55,639,80"/>
<area shape="poly" title=" " alt="" coords="715,55,639,64,639,59,714,49"/>
<area shape="rect" href="class_main_window.html#a31824aa1482e54ed17467596c8b3bb24" title="Rozpoczyna komunikację z portem szeregowym." alt="" coords="229,5,456,31"/>
<area shape="poly" title=" " alt="" coords="490,21,456,21,456,15,490,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,181,21,181,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="a7585c6873219f5b0cae001b4e95a60af" name="a7585c6873219f5b0cae001b4e95a60af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7585c6873219f5b0cae001b4e95a60af">&#9670;&#160;</a></span>SetTransParam_ControlModes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetTransParam_ControlModes </td>
          <td>(</td>
          <td class="paramtype">struct termios *&#160;</td>
          <td class="paramname"><em>pTransParam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a>&#160;</td>
          <td class="paramname"><em>Parity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90">Type4CharacterSize</a>&#160;</td>
          <td class="paramname"><em>CSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Ustawia parametry transmisji: </p><ul>
<li>8 bitów w znaku, </li>
<li>1 bit stopu, <dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">Parity</td><td>- pozwala na ustawienie rodzaju kontroli parzystości. </td></tr>
  </table>
  </dd>
</dl>
</li>
</ul>

<p class="definition">Definicja w linii <a class="el" href="transparam_8cpp_source.html#l00070">70</a> pliku <a class="el" href="transparam_8cpp_source.html">transparam.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="transparam_8cpp_a7585c6873219f5b0cae001b4e95a60af_icgraph.png" border="0" usemap="#atransparam_8cpp_a7585c6873219f5b0cae001b4e95a60af_icgraph" alt=""/></div>
<map name="atransparam_8cpp_a7585c6873219f5b0cae001b4e95a60af_icgraph" id="atransparam_8cpp_a7585c6873219f5b0cae001b4e95a60af_icgraph">
<area shape="rect" title=" " alt="" coords="889,31,1089,56"/>
<area shape="rect" href="transparam_8cpp.html#abbc868041fa51d5f4d3923d8b3488867" title="Ustawianie parametrów transmisji." alt="" coords="728,31,841,56"/>
<area shape="poly" title=" " alt="" coords="875,46,842,46,842,41,875,41"/>
<area shape="rect" href="class_serial_port.html#ab8617347c0bd495e80d39e563ec8e750" title="Otwiera port szeregowy." alt="" coords="504,5,680,31"/>
<area shape="poly" title=" " alt="" coords="714,37,680,32,681,27,715,32"/>
<area shape="rect" href="odbieranie_8cpp.html#a8ba1cb8263e0f85250d2dbd1fb60e825" title=" " alt="" coords="545,55,639,80"/>
<area shape="poly" title=" " alt="" coords="715,55,639,64,639,59,714,49"/>
<area shape="rect" href="class_main_window.html#a31824aa1482e54ed17467596c8b3bb24" title="Rozpoczyna komunikację z portem szeregowym." alt="" coords="229,5,456,31"/>
<area shape="poly" title=" " alt="" coords="490,21,456,21,456,15,490,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,181,21,181,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="ad26bdc052d530d02b4353582e1d9568b" name="ad26bdc052d530d02b4353582e1d9568b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad26bdc052d530d02b4353582e1d9568b">&#9670;&#160;</a></span>SetTransParam_LocalModes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetTransParam_LocalModes </td>
          <td>(</td>
          <td class="paramtype">struct termios *&#160;</td>
          <td class="paramname"><em>pTransParam</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="transparam_8cpp_source.html#l00100">100</a> pliku <a class="el" href="transparam_8cpp_source.html">transparam.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="transparam_8cpp_ad26bdc052d530d02b4353582e1d9568b_icgraph.png" border="0" usemap="#atransparam_8cpp_ad26bdc052d530d02b4353582e1d9568b_icgraph" alt=""/></div>
<map name="atransparam_8cpp_ad26bdc052d530d02b4353582e1d9568b_icgraph" id="atransparam_8cpp_ad26bdc052d530d02b4353582e1d9568b_icgraph">
<area shape="rect" title=" " alt="" coords="889,31,1080,56"/>
<area shape="rect" href="transparam_8cpp.html#abbc868041fa51d5f4d3923d8b3488867" title="Ustawianie parametrów transmisji." alt="" coords="728,31,841,56"/>
<area shape="poly" title=" " alt="" coords="876,46,842,46,842,41,876,41"/>
<area shape="rect" href="class_serial_port.html#ab8617347c0bd495e80d39e563ec8e750" title="Otwiera port szeregowy." alt="" coords="504,5,680,31"/>
<area shape="poly" title=" " alt="" coords="714,37,680,32,681,27,715,32"/>
<area shape="rect" href="odbieranie_8cpp.html#a8ba1cb8263e0f85250d2dbd1fb60e825" title=" " alt="" coords="545,55,639,80"/>
<area shape="poly" title=" " alt="" coords="715,55,639,64,639,59,714,49"/>
<area shape="rect" href="class_main_window.html#a31824aa1482e54ed17467596c8b3bb24" title="Rozpoczyna komunikację z portem szeregowym." alt="" coords="229,5,456,31"/>
<area shape="poly" title=" " alt="" coords="490,21,456,21,456,15,490,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,181,21,181,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="abbc868041fa51d5f4d3923d8b3488867" name="abbc868041fa51d5f4d3923d8b3488867"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbc868041fa51d5f4d3923d8b3488867">&#9670;&#160;</a></span>SetTransParam()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool SetTransParam </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>PortDesc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288f">Type4BaudRate</a>&#160;</td>
          <td class="paramname"><em>BRate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a>&#160;</td>
          <td class="paramname"><em>Parity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90">Type4CharacterSize</a>&#160;</td>
          <td class="paramname"><em>CSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Ustawianie parametrów transmisji </p>

<p class="definition">Definicja w linii <a class="el" href="transparam_8cpp_source.html#l00133">133</a> pliku <a class="el" href="transparam_8cpp_source.html">transparam.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="transparam_8cpp_abbc868041fa51d5f4d3923d8b3488867_cgraph.png" border="0" usemap="#atransparam_8cpp_abbc868041fa51d5f4d3923d8b3488867_cgraph" alt=""/></div>
<map name="atransparam_8cpp_abbc868041fa51d5f4d3923d8b3488867_cgraph" id="atransparam_8cpp_abbc868041fa51d5f4d3923d8b3488867_cgraph">
<area shape="rect" title="Ustawianie parametrów transmisji." alt="" coords="5,80,119,105"/>
<area shape="rect" href="transparam_8cpp.html#a7585c6873219f5b0cae001b4e95a60af" title=" " alt="" coords="167,5,367,31"/>
<area shape="poly" title=" " alt="" coords="84,78,122,58,166,40,190,32,192,37,168,44,124,63,87,82"/>
<area shape="rect" href="transparam_8cpp.html#a0728e8853a57cc2290d9739c1108d2fc" title=" " alt="" coords="173,55,361,80"/>
<area shape="poly" title=" " alt="" coords="119,83,159,78,160,83,119,88"/>
<area shape="rect" href="transparam_8cpp.html#ad26bdc052d530d02b4353582e1d9568b" title=" " alt="" coords="171,104,362,129"/>
<area shape="poly" title=" " alt="" coords="119,97,158,101,157,107,119,102"/>
<area shape="rect" href="transparam_8cpp.html#acb0647d46d75d5baa3508f59750fd510" title=" " alt="" coords="167,153,366,179"/>
<area shape="poly" title=" " alt="" coords="89,103,168,138,196,147,195,152,166,143,86,108"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="transparam_8cpp_abbc868041fa51d5f4d3923d8b3488867_icgraph.png" border="0" usemap="#atransparam_8cpp_abbc868041fa51d5f4d3923d8b3488867_icgraph" alt=""/></div>
<map name="atransparam_8cpp_abbc868041fa51d5f4d3923d8b3488867_icgraph" id="atransparam_8cpp_abbc868041fa51d5f4d3923d8b3488867_icgraph">
<area shape="rect" title="Ustawianie parametrów transmisji." alt="" coords="728,31,841,56"/>
<area shape="rect" href="class_serial_port.html#ab8617347c0bd495e80d39e563ec8e750" title="Otwiera port szeregowy." alt="" coords="504,5,680,31"/>
<area shape="poly" title=" " alt="" coords="714,37,680,32,681,27,715,32"/>
<area shape="rect" href="odbieranie_8cpp.html#a8ba1cb8263e0f85250d2dbd1fb60e825" title=" " alt="" coords="545,55,639,80"/>
<area shape="poly" title=" " alt="" coords="715,55,639,64,639,59,714,49"/>
<area shape="rect" href="class_main_window.html#a31824aa1482e54ed17467596c8b3bb24" title="Rozpoczyna komunikację z portem szeregowym." alt="" coords="229,5,456,31"/>
<area shape="poly" title=" " alt="" coords="490,21,456,21,456,15,490,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,181,21,181,15,216,15"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="transparam_8cpp.html">transparam.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
